package com.clx.performance.event;

import lombok.Getter;
import lombok.Setter;
import org.springframework.context.ApplicationEvent;

@Getter
@Setter
public class OwnerLoanThawEvent extends ApplicationEvent {


    private String childNo;


    /**
     * Create a new {@code ApplicationEvent}.
     *
     * @param source the object on which the event initially occurred or with
     *               which the event is associated (never {@code null})
     */
    public OwnerLoanThawEvent(Object source) {
        super(source);
    }

    public OwnerLoanThawEvent(Object source, String  childNo) {
        super(source);
        this.childNo = childNo;
    }

}
